SAUNAFS-FILEREPAIR(1)

NAME
saunafs-filerepair - repair broken files

SYNOPSIS

saunafs filerepair [-n|-h|-H] FILE...

DESCRIPTION

filerepair deals with broken files (those which cause I/O errors on read operations) to make them partially readable. In case of missing chunk it fills missing parts of file with zeros; in case of chunk version mismatch it sets chunk version known to sfsmaster to highest one found on chunkservers.

    Note

    Because in the second case content mismatch can occur in chunks with the same version, it’s advised to make a copy (not a snapshot!) and delete original file after "repairing".

OPTIONS

-c
    This option enables correct-only mode, which will restore chunk to a previous version if possible, but will never erase any data.

-n, -h, -H
    These options are described in saunafs(1).

REPORTING BUGS

Report bugs to the GitHub repository as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see

SEE ALSO

saunafs(1)